
#include "MDD File System\FSIO.h"
#include "Lab4.h"



/*************************************************************************/
/* Lab 4 Part A                                                          */
/* Purpose: This function is called by the MKFILE function.  It will     */
/*          create an empty file based on a name specified by the user.  */
/* Input:   char *: A pointer to the file name string                    */
/* Returns: int:    Returns 0 if the file is created successfully,       */
/*                  otherwise, returns -1                                */
/*************************************************************************/

int Lab4PartA (char * fileName)
{
    FSFILE * pointer = NULL;
    int result = -1;

    /*********************************************************************/
    /* Objective: Write a function to create a file                      */
    /* Hints:                                                            */
    /*      Don't forget to store the return value from your function    */
    /*      The name of the file to create was passed into this function */
    /*      You should open the file in a mode that will create the file */
    /*      The Handout contains some useful APIs for this lab           */
    /*********************************************************************/

    //<-- Insert code here

    /*********************************************************************/


    if ( pointer == NULL )
    {
        UART2PrintString( " - Error creating file\r\n" );
        return -1;
    }

    /*********************************************************************/
    /* Objective: Write a function that will update the root and FAT     */
    /*            with the information for the file you just created and */
    /*            free the memory used for the FSFILE pointer            */
    /* Hints:                                                            */
    /*      Don't forget to store the return value from your function    */
    /*      The Handout contains some useful APIs for this lab           */
    /*********************************************************************/

    //<-- Insert code here

    /*********************************************************************/

    return result;
}







/*************************************************************************/
/* Lab 4 Part B                                                          */
/* Purpose: This function is called by the REN function.  It will rename */
/*          an open file with a filename passed in by the user.          */
/* Input:   currentFile: The file that will be renamed                   */
/*          newName:     The string containing the new file name         */
/* Returns: int:    Returns 0 if the file is renamed successfully,       */
/*                  otherwise, returns -1                                */
/*************************************************************************/

int Lab4PartB (FSFILE * currentFile, const char * newName)
{
    int result = -1;

    /*********************************************************************/
    /* Objective: Write a function that will rename the file passed in   */
    /*            with the name passed in.                               */
    /* Hints:                                                            */
    /*      The Handout contains some useful APIs for this lab           */
    /*********************************************************************/

    //<-- Insert code here

    /*********************************************************************/

    return result;
}






/*************************************************************************/
/* Lab 4 Part C                                                          */
/* Purpose: This function is called by the DEL function.  It will        */
/*          delete file based on a name specified by the user.           */
/* Input:   fileName: The name of the file to delete                     */
/* Returns: int:    Returns 0 if the file is created successfully,       */
/*                  otherwise, returns -1                                */
/*************************************************************************/

int Lab4PartC ( char * fileName)
{
    int result = -1;

    /*********************************************************************/
    /* Objective: Write a function to delete a file                      */
    /* Hints:                                                            */
    /*      Don't forget to store the return value from your function    */
    /*      The name of the file to delete was passed into this function */
    /*      The Handout contains some useful APIs for this lab           */
    /*********************************************************************/

    //<-- Insert code here

    /*********************************************************************/

    return result;
}


